/*----------------------------------------------------------------------------
	LCD Serial communication monitor for PIC16F687(PIC16F689)
	ACM1602N1 16 columns 2 lines Hardware
----------------------------------------------------------------------------*/

/*******************************************/
/*              define data                */
/*******************************************/
/*
---------------------------------------------------------------
	Pin assignment
	 1:VDD
	 2:RA5:O:LCD_RW
	 3:RA4:O:LCD_E
	 4:RA3:I:(MCLR) switch with Pullup *see define PORT
	 5:RC5:O:LCD_D5
	 6:RC4:O:LCD_D4
	 7:RC3:O:LCD_D3
	 8:RC6:O:LCD_D6
	 9:RC7:O:LCD_D7
	10:RB7:O:(TX)
	20:VSS
	19:RA0:O:(ICSPD)
	18:RA1:O:(ICSPC)
	17:RA2:O:LCD_RS
	16:RC0:O:LCD_D0
	15:RC1:O:LCD_D1
	14:RC2:O:LCD_D2
	13:RB4:O:(SDA) switch *see define PORT
	12:RB5:O:(RX)
	11:RB6:O:(SCK) switch *see define PORT
*/

//LCD kind set------------------------------------------------------------------- 
//Choose use the LCD module model number

//#define	_LCD0802
#define	_LCD1602
//#define	_LCD2402 

//------------------------------------------------------------------- 
//Clock control
#define MHz 000000
#define _XTAL_FREQ 8MHz

//Version infomation(for use display)
#define	VersionCode	"16F687/689 V1.01"
#ifdef	_LCD0802
#define	VersionInfo	"ACM0802C"
#endif
#ifdef	_LCD1602
#define	VersionInfo	"ACM1602 Hardware"
#endif
#ifdef	_LCD2402
#define	VersionInfo	"SC242A(16F1827) "
#endif

//Switch Port assignment
#define	SW_MODE		RA3 //mode set
#define	SW_LEFT		RB6 //left key
#define	SW_RIGHT	RB4 //right key
#define DisplayMode	0x7f //eeprom display address
#define COM_Speed	0x7e //eeprom display address

//Speed setting
#define Speed1200	249
#define Speed2400	250
#define Speed4800	251
#define Speed9600	252
#define Speed19200	253
#define Speed31250	254
#define Speed38400	255

#define MIN_Speed	Speed1200
#define MAX_Speed	Speed38400

//Mode setting
#define ASCIImode	0xff
#define HEXmode		0xfe

//RX buffer size
#define MAX_BUFF	32


/*******************************************/
/*              table data                 */
/*******************************************/


/*******************************************/
/*           extern function               */
/*******************************************/


/*******************************************/
/*            extern variable              */
/*******************************************/
extern void delay_10ms(unsigned char);
